Michael J. Forster
Installing LispWorks 6.1 Professional (32 bit) on Slackware64 14.1

I installed LispWorks 6.1 Professional (32-bit) on multilib Slackware64 14.1 .

The Slackware64 multilib installation includes the required GTK+ 2 (>=2.4). However, attempting to run LispWorks gives the following error message:

$ /usr/local/lib/LispWorks/lispworks-6-1-0-x86-linux

(lispworks:30162): GdkPixbuf-WARNING **: Cannot open
   pixbuf loader module file 
   '/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such
   file or directory

This likely means that your installation is broken.
Try running the command
    gdk-pixbuf-query-loaders \
      > /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.
...

To remedy this, I ran the 32-bit_version of gdk-pixbuf-query-loaders(1):

$ su -
# gdk-pixbuf-query-loaders-32 \
       > /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache

Following that, LispWorks started without incident.